Support Forum

Every time that you post a problem, PLEASE add the Joomla and the extension's versions and revisions (for example: Joomla 3.3.6, Contact Enhanced 3.3.5), PHP version and Server's Operating System. If you only manage only one site it is easier if you edit your profile and just add that information to your signature. Don't forget to add a detailed description of the problem. If possible, write down all steps to simulate the problem.

Before submitting a new post, PLEASE make sure you are running the latest version, test in different browsers (IE, FF, Chrome,..) and clear Joomla and browser's cache after every change you make.

Also, most questions are already answered in our FAQ and in iFAQ and Contact Enhanced documentation pages.

Problem with Ajax Conatct since the last update of Joomla 3.5.1

6 years 1 month ago #21230 by iorbita
Hello,
I have a problem to sending emails and this on all my sites where the module is installed. I think the problem occurred since the last update of Joomla 3.5.1.
I’ve read somewhere that there is a problem with the last update Joomla and sending email.
The problem: the message is sent but an error message "Invalid address" is displayed.
More, even if "send a copy" option is enabled, no copy of the message is sent.

Another problem, on one of my website in addition to the problem cited above, the message is sent 5 times.

Thank you for your support

Ajax Contact 3.4.5
Joomla 3.5.1
PHP 5.5.33

Please Log in or Create an account to join the conversation.

6 years 1 month ago #21231 by iorbita
Article on the subject: www.akeebabackup.com/home/news...3-5-bug-regarding-e-mails.html

... you have display problems in your "Cart" menu " :dry:

Please Log in or Create an account to join the conversation.

6 years 1 month ago #21232 by blue_Shift
Dear iorbita,

the "0 - Invalid address" error has been fixed in the current release of Contact Enhanced (Account > My Downloads)

otherwise you should roll back Joomla to version 3.4.8 (which you can download here , and install as you would any Joomla component). Though v. 3.5.0 will work, this version could only be installed be the Joomla updater component, and that will default to v3.5.1 again.

I'm not sure why one of your sites would send five copies, but as it's one site and others are working as expected, the problem would appear at first glance not to be because of our code.

regards,
blue_Shift

Please Log in or Create an account to join the conversation.

6 years 1 month ago #21233 by iorbita
Hello,
the problem was solved by editing the file librairies/joomla/mail/mail.php file at line 69 and replacing true to false ;)
Apparently J! 3.5.1 now uses php mailer exceptions (PHP 7), extension developers must fix the code. :whistle:

Thank you for the answer ;)

Please Log in or Create an account to join the conversation.

6 years 1 month ago #21234 by iorbita
...and you have another answer here: joomla.stackexchange.com/quest...fter-upgrading-to-joomla-3-5-1
I'm not a developer, but I don't think that the drastic solution to make a downgrade of Joomla :woohoo: is the best solution ...

Please Log in or Create an account to join the conversation.

6 years 1 month ago - 6 years 1 month ago #21235 by blue_Shift
Dear iorbita,

Thank you for that link. The first line says it all: "If you are getting this error because you are using some extension that sends emails, please visit the developer page, and first make sure you are using the latest version." The latest version of Contact Enhanced has indeed fixed the issue.

For users with expired subscriptions, the easiest *immediate* fix is a rollback. It's free, painless, bulletproof, and comes at no cost to user or administrator experience. Seems to me (a lowly moderator) that this is less drastic than editing Joomla library files. :whistle:

But with your link, users with expired licenses can have the best of both worlds (right up until the moment Joomla changes something). :pinch:

Thanks for the link.

regards,
blue_Shift

Please Log in or Create an account to join the conversation.

6 years 1 month ago #21237 by support
Greetings,

An Ajax Contact Update has been released with this fix.

Best regards,

Please Log in or Create an account to join the conversation.

6 years 1 month ago #21271 by bossies
Thanks iorbita - sorted for me

Please Log in or Create an account to join the conversation.

Powered by Kunena Forum

Copyright © 2018 IdealExtensions.com. All Rights Reserved.

This site is not affiliated with or endorsed by the Joomla!™ Project. It is not supported or warranted by the Joomla!™ Project or Open Source Matters™. The Joomla!™ logo is used under a limited license granted by Open Source Matters™, the trademark holder in the United States and other countries.
We may collect your IP address and your browser's User Agent string while using our site for security reasons and deriving aggregate information (analytics). This information is retained for a minimum of 1 and a maximum of 24 months.
Feedback